import React from 'react';

const ShareIcon = () => {
    return (
        <svg
            width='30'
            height='30'
            viewBox='0 0 30 30'
            fill='none'
            xmlns='http://www.w3.org/2000/svg'
        >
            <g clip-path='url(#clip0_4190_36251)'>
                <path
                    d='M22.5 20.1C21.55 20.1 20.7 20.475 20.05 21.0625L11.1375 15.875C11.2 15.5875 11.25 15.3 11.25 15C11.25 14.7 11.2 14.4125 11.1375 14.125L19.95 8.9875C20.625 9.6125 21.5125 10 22.5 10C24.575 10 26.25 8.325 26.25 6.25C26.25 4.175 24.575 2.5 22.5 2.5C20.425 2.5 18.75 4.175 18.75 6.25C18.75 6.55 18.8 6.8375 18.8625 7.125L10.05 12.2625C9.375 11.6375 8.4875 11.25 7.5 11.25C5.425 11.25 3.75 12.925 3.75 15C3.75 17.075 5.425 18.75 7.5 18.75C8.4875 18.75 9.375 18.3625 10.05 17.7375L18.95 22.9375C18.8875 23.2 18.85 23.475 18.85 23.75C18.85 25.7625 20.4875 27.4 22.5 27.4C24.5125 27.4 26.15 25.7625 26.15 23.75C26.15 21.7375 24.5125 20.1 22.5 20.1ZM22.5 5C23.1875 5 23.75 5.5625 23.75 6.25C23.75 6.9375 23.1875 7.5 22.5 7.5C21.8125 7.5 21.25 6.9375 21.25 6.25C21.25 5.5625 21.8125 5 22.5 5ZM7.5 16.25C6.8125 16.25 6.25 15.6875 6.25 15C6.25 14.3125 6.8125 13.75 7.5 13.75C8.1875 13.75 8.75 14.3125 8.75 15C8.75 15.6875 8.1875 16.25 7.5 16.25ZM22.5 25.025C21.8125 25.025 21.25 24.4625 21.25 23.775C21.25 23.0875 21.8125 22.525 22.5 22.525C23.1875 22.525 23.75 23.0875 23.75 23.775C23.75 24.4625 23.1875 25.025 22.5 25.025Z'
                    fill='white'
                />
            </g>
            <defs>
                <clipPath id='clip0_4190_36251'>
                    <rect width='30' height='30' fill='white' />
                </clipPath>
            </defs>
        </svg>
    );
};

export default ShareIcon;
